

package com.winhc.bigdata.spark.ng.dynamic.handle

import com.winhc.bigdata.spark.ng.dynamic.{AssociationEntityInfo, ChangeExtract, CompanyDynamicRecord, NgCompanyDynamicHandle, NgCompanyRiskLevelType}
import com.winhc.bigdata.spark.implicits.MapHelper._
import org.apache.commons.lang3.StringUtils

import scala.collection.mutable

/**
 * @author: XuJiakai
 * @date: 2021/7/20 16:40
 */
case class company_copyright_reg(is_inc: Boolean) extends NgCompanyDynamicHandle {
  override def flat_map: ChangeExtract => Seq[CompanyDynamicRecord] = (change_extract: ChangeExtract) => {
    val new_data = change_extract.new_data
    var list: mutable.Seq[CompanyDynamicRecord] = mutable.Seq.empty
    val entityInfo: Seq[AssociationEntityInfo] = getEntity(new_data.getOrEmptyStr("author_nationality_info"), id_key = "keyno", name_key = "name", NgCompanyRiskLevelType.Positive, null)
    val info = entityInfo.filter(r => StringUtils.isNotEmpty(r.keyno))
    if(info.nonEmpty){
      list = list :+ getCompanyDynamicRecord(change_extract, null, null, null, info)
    }
    list
  }
}


